#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;

my $princ = init Vhffs::Main;

$config = $princ->get_config;


print "new du user\n";
$user = new Vhffs::User( $princ , "soda" , 401) ;


#on fetche l'utilisateur
my $retour;
print "fetch du user\n";
$retour = $user->fetch;
if ( $retour< 0  )
{
	print "ce user n'existe pas : $retour \n";
	$user->create;
}
else
{
	print "ce user existe\n";
	print "username : " . $user->get_username . "\n" ;
	$user->delete;
}

exit;


print "creation du user\n";

#on le cree dans la base
$user = new Vhffs::User( $princ , "proutlolzizi2" , 401) ;
my $uid = $user->create;
if( $uid < 0 )
{
	print "impossible de creer ce user : $uid \n";
}
else
{
	$user->set_password("lol");

	$user->commit;

	print "user cree avec uid $uid !\n";
}

$user->set_shell("/usr/bin/lol");

$user->commit;

$user->fetch;

exit;

#
#on le supprimer
$retour = $user->delete;
if( $retour < 0 )
{
    print "probleme lors de la suppression : $retour \n";
}
else
{
   print "utilisateur supprime\n";
}
